#=======================================================================
# Peso de latas cheias de tinta, recém fechadas, retiradas da linha de
# produção de indústria. Amostras de tamanho n = 5, m = 25.

rm(list = ls())

url <- paste0("http://www.leg.ufpr.br/~walmes/",
              "data/business_economics_dataset",
              "/EXAMPLES/PAINT125.DAT")

pnt <- read.table(file = url)
names(pnt) <- c("x", "i")
str(pnt)

xtabs(~i, data = pnt)

# Passar para o formato wide.
pntw <- t(unstack(x = pnt, form = x ~ i))
pntw

rownames(pntw) <- NULL

#-----------------------------------------------------------------------

library(qcc)

qm <- qcc(data = pntw, type = "xbar")
qr <- qcc(data = pntw, type = "R")

plot(qm)
plot(qr)

#=======================================================================
# As amostras do mesmo processo com mais 10 coletas de 5 elementos.

url <- paste0("http://www.leg.ufpr.br/~walmes/",
              "data/business_economics_dataset",
              "/EXAMPLES/PAINT122.DAT")

pnt <- read.table(file = url)
names(pnt) <- c("x", "i")
str(pnt)

xtabs(~i, data = pnt)

# Passar para o formato wide.
pntw <- t(unstack(x = pnt, form = x ~ i))
pntw

rownames(pntw) <- NULL

#-----------------------------------------------------------------------

library(qcc)

qm <- qcc(data = pntw[1:25, ], type = "xbar", newdata = pntw[26:35, ])
qr <- qcc(data = pntw[1:25, ], type = "R", newdata = pntw[26:35, ])

plot(qm)
plot(qr)

#-----------------------------------------------------------------------
